Package org.kapott.hbci.sepa.jaxb.camt_052_001_01

## Class CashBalance1

- java.lang.Object
- - org.kapott.hbci.sepa.jaxb.camt_052_001_01.CashBalance1

    public class CashBalance1
    extends java.lang.Object

Java class for CashBalance1 complex type.

The following schema fragment specifies the expected content contained within this class.

     <complexType name="CashBalance1">
       <complexContent>
         <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
           <sequence>
             <element name="Tp" type="{urn:iso:std:iso:20022:tech:xsd:camt.052.001.01}BalanceType1Choice"/>
             <element name="CdtLine" type="{urn:iso:std:iso:20022:tech:xsd:camt.052.001.01}CreditLine1" minOccurs="0"/>
             <element name="Amt" type="{urn:iso:std:iso:20022:tech:xsd:camt.052.001.01}CurrencyAndAmount"/>
             <element name="CdtDbtInd" type="{urn:iso:std:iso:20022:tech:xsd:camt.052.001.01}CreditDebitCode"/>
             <element name="Dt" type="{urn:iso:std:iso:20022:tech:xsd:camt.052.001.01}DateAndDateTimeChoice"/>
             <element name="Avlbty" type="{urn:iso:std:iso:20022:tech:xsd:camt.052.001.01}CashBalanceAvailability1" maxOccurs="unbounded" minOccurs="0"/>
           </sequence>
         </restriction>
       </complexContent>
     </complexType>

### Field Summary

Fields
`protected CurrencyAndAmount` `amt`
`protected java.util.List<CashBalanceAvailability1>` `avlbty`
`protected CreditDebitCode` `cdtDbtInd`
`protected CreditLine1` `cdtLine`
`protected DateAndDateTimeChoice` `dt`
`protected BalanceType1Choice` `tp`

### Constructor Summary

Constructors
`CashBalance1()`

### Method Summary

All Methods Instance Methods Concrete Methods
`CurrencyAndAmount` `getAmt()` Gets the value of the amt property.
`java.util.List<CashBalanceAvailability1>` `getAvlbty()` Gets the value of the avlbty property.
`CreditDebitCode` `getCdtDbtInd()` Gets the value of the cdtDbtInd property.
`CreditLine1` `getCdtLine()` Gets the value of the cdtLine property.
`DateAndDateTimeChoice` `getDt()` Gets the value of the dt property.
`BalanceType1Choice` `getTp()` Gets the value of the tp property.
`void` `setAmt​(CurrencyAndAmount value)` Sets the value of the amt property.
`void` `setCdtDbtInd​(CreditDebitCode value)` Sets the value of the cdtDbtInd property.
`void` `setCdtLine​(CreditLine1 value)` Sets the value of the cdtLine property.
`void` `setDt​(DateAndDateTimeChoice value)` Sets the value of the dt property.
`void` `setTp​(BalanceType1Choice value)` Sets the value of the tp property.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### tp

    protected BalanceType1Choice tp

#### cdtLine

    protected CreditLine1 cdtLine

#### amt

    protected CurrencyAndAmount amt

#### cdtDbtInd

    protected CreditDebitCode cdtDbtInd

#### dt

    protected DateAndDateTimeChoice dt

#### avlbty

    protected java.util.List<CashBalanceAvailability1> avlbty

### Constructor Detail

#### CashBalance1

    public CashBalance1()

### Method Detail

#### getTp

    public BalanceType1Choice getTp()

Gets the value of the tp property.

Returns:
  possible object is `BalanceType1Choice`

#### setTp

    public void setTp​(BalanceType1Choice value)

Sets the value of the tp property.

Parameters:
  `value` - allowed object is `BalanceType1Choice`

#### getCdtLine

    public CreditLine1 getCdtLine()

Gets the value of the cdtLine property.

Returns:
  possible object is `CreditLine1`

#### setCdtLine

    public void setCdtLine​(CreditLine1 value)

Sets the value of the cdtLine property.

Parameters:
  `value` - allowed object is `CreditLine1`

#### getAmt

    public CurrencyAndAmount getAmt()

Gets the value of the amt property.

Returns:
  possible object is `CurrencyAndAmount`

#### setAmt

    public void setAmt​(CurrencyAndAmount value)

Sets the value of the amt property.

Parameters:
  `value` - allowed object is `CurrencyAndAmount`

#### getCdtDbtInd

    public CreditDebitCode getCdtDbtInd()

Gets the value of the cdtDbtInd property.

Returns:
  possible object is `CreditDebitCode`

#### setCdtDbtInd

    public void setCdtDbtInd​(CreditDebitCode value)

Sets the value of the cdtDbtInd property.

Parameters:
  `value` - allowed object is `CreditDebitCode`

#### getDt

    public DateAndDateTimeChoice getDt()

Gets the value of the dt property.

Returns:
  possible object is `DateAndDateTimeChoice`

#### setDt

    public void setDt​(DateAndDateTimeChoice value)

Sets the value of the dt property.

Parameters:
  `value` - allowed object is `DateAndDateTimeChoice`

#### getAvlbty

    public java.util.List<CashBalanceAvailability1> getAvlbty()

Gets the value of the avlbty property.

This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the avlbty property.

For example, to add a new item, do as follows:

        getAvlbty().add(newItem);

Objects of the following type(s) are allowed in the list `CashBalanceAvailability1`